Devuan bug report logs - #383
eudev: Probably incorrect installation error about missing kernel sumbols.

version graph

Package: eudev; Maintainer for eudev is Devuan Dev Team <devuan-dev@lists.dyne.org>;

Reported by: Arne Wichmann <aw@old-forest.org>

Date: Tue, 28 Jan 2020 12:33:01 UTC

Severity: normal

Tags: patch

Merged with 407

Found in versions 3.2.2-13, 3.2.9-7

Fixed in version 3.2.9-10

Done: dak@devuan.org

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, Devuan Dev Team <devuan-dev@lists.dyne.org>:
bug#383; Package eudev. (Tue, 28 Jan 2020 12:33:01 GMT) (full text, mbox, link).


Acknowledgement sent to Arne Wichmann <aw@old-forest.org>:
New bug report received and forwarded. Copy sent to Devuan Dev Team <devuan-dev@lists.dyne.org>. (Tue, 28 Jan 2020 12:33:07 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: Arne Wichmann <aw@old-forest.org>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: eudev: Probably incorrect installation error about missing kernel sumbols.
Date: Tue, 28 Jan 2020 13:17:07 +0100
[Message part 1 (text/plain, inline)]
Package: eudev
Version: 3.2.2-13
Severity: grave

Dear Maintainer,

When installing eudev I get:

Since release 198, udev requires support for the following features in
the running kernel:

- inotify(2)            (CONFIG_INOTIFY_USER)
- signalfd(2)           (CONFIG_SIGNALFD)
- accept4(2)
- open_by_handle_at(2)  (CONFIG_FHANDLE)
- timerfd_create(2)     (CONFIG_TIMERFD)
- epoll_create(2)       (CONFIG_EPOLL)

Grepping through /proc/kallsyms gives me:
0000000000000000 t do_inotify_init
0000000000000000 T __x64_sys_inotify_init1
0000000000000000 T __ia32_sys_inotify_init1
0000000000000000 T __ia32_sys_inotify_init
0000000000000000 T __x64_sys_inotify_init

Do I miss something or did some interfaces change?

-- Package-specific info:

-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 9 (n/a)
Release:	9
Codename:	n/a
Architecture: x86_64

Kernel: Linux 5.4.0-3-amd64 (SMP w/4 CPU cores)
Kernel taint flags: TAINT_CRAP
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8), LANGUAGE=en_GB:en (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages eudev depends on:
ii  adduser      3.115
ii  debconf      1.5.61
ii  libblkid1    2.33.1-0.1+devuan1
ii  libc6        2.29-9
ii  libeudev1    3.2.2-13
ii  libkmod2     23-2
ii  libselinux1  3.0-1
ii  lsb-base     9.20161125
ii  procps       2:3.3.12-3+devuan2.1
ii  util-linux   2.29.2-1+devuan2.1

eudev recommends no packages.

eudev suggests no packages.

-- no debconf information
[udev-database.txt (text/plain, attachment)]

Information forwarded to devuan-bugs@lists.dyne.org, Devuan Dev Team <devuan-dev@lists.dyne.org>:
bug#383; Package eudev. (Wed, 29 Jan 2020 18:18:01 GMT) (full text, mbox, link).


Acknowledgement sent to svante.signell@gmail.com:
Extra info received and forwarded to list. Copy sent to Devuan Dev Team <devuan-dev@lists.dyne.org>. (Wed, 29 Jan 2020 18:18:03 GMT) (full text, mbox, link).


Message #10 received at 383@bugs.devuan.org (full text, mbox, reply):

From: Svante Signell <svante.signell@gmail.com>
To: 383@bugs.devuan.org
Subject: [Devuan-bugs] bug#383: eudev: Probably incorrect installation error about missing kernel sumbols.
Date: Wed, 29 Jan 2020 19:01:27 +0100
Package: eudev
Version: 3.2.2-13
tags 383 moreinfo

Hello,

Seems like you are hitting some problems not seen before.

Can you please give us the following information:

 - Which release do you use?
   (from the package eudev-3.2.2-13 you seem to use ascii)
 - Which kernels do you have installed?
 - You can easily check which kernel features you have by e.g.:
   cat /boot/config-4.19.0-6-amd64 | grep CONFIG_INOTIFY_USER;

 - alternately, and that is what the eudev.postinst script does:
   cat /proc/kallsyms| grep "inotify_init" etc.

Please check if the problems remains with eudev-3.2.9-4.

Thanks!



Information forwarded to devuan-bugs@lists.dyne.org, Devuan Dev Team <devuan-dev@lists.dyne.org>:
bug#383; Package eudev. (Wed, 01 Apr 2020 15:03:02 GMT) (full text, mbox, link).


Acknowledgement sent to Arne Wichmann <aw@old-forest.org>:
Extra info received and forwarded to list. Copy sent to Devuan Dev Team <devuan-dev@lists.dyne.org>. (Wed, 01 Apr 2020 15:03:04 GMT) (full text, mbox, link).


Message #15 received at 383@bugs.devuan.org (full text, mbox, reply):

From: Arne Wichmann <aw@old-forest.org>
To: 383@bugs.devuan.org
Subject: Re: [Devuan-bugs] bug#383: eudev: Probably incorrect installation error about missing kernel sumbols.
Date: Wed, 1 Apr 2020 16:51:31 +0200
[Message part 1 (text/plain, inline)]
Package: eudev
Version: 3.2.2-13
tags 383 -moreinfo
severity 383 normal

Hi!

For some reason this did not reach me. It did not even reach my spam box.

begin  quotation  from Svante Signell (in <5edf5705148141448f28aacd058f5e51579ec6af.camel@gmail.com>):
> Seems like you are hitting some problems not seen before.

> Can you please give us the following information:
> 
>  - Which release do you use?
>    (from the package eudev-3.2.2-13 you seem to use ascii)

Primarily ascii.

>  - Which kernels do you have installed?

And this is probably the reason why this has not been seen before - I
compile my own kernel (for educational reasons primarily) from the ceres
sources.

(515) aw@anhrefn $ cat /proc/version 
Linux version 5.5.13 (aw@anhrefn) (gcc version 8.3.0 (Debian 8.3.0-6)) #2.0
SMP PREEMPT Tue Mar 31 12:20:33 CEST 2020

>  - You can easily check which kernel features you have by e.g.:
>    cat /boot/config-4.19.0-6-amd64 | grep CONFIG_INOTIFY_USER;
> 
>  - alternately, and that is what the eudev.postinst script does:
>    cat /proc/kallsyms| grep "inotify_init" etc.
> 
> Please check if the problems remains with eudev-3.2.9-4.

The upgrade went smoothly. I presume the problem is only of interest for
people using a new kernel on an ascii system. I downgrade to normal - feel
free to downgrade even more. ;)

cu

AW
-- 
[...] If you don't want to be restricted, don't agree to it. If you are
coerced, comply as much as you must to protect yourself, just don't support
it. Noone can free you but yourself. (crag, on Debian Planet)
Arne Wichmann (aw@saar.de)
[signature.asc (application/pgp-signature, inline)]

Severity set to 'normal' from 'grave' Request was from Arne Wichmann <aw@old-forest.org> to control@bugs.devuan.org. (Thu, 22 Oct 2020 12:48:01 GMT) (full text, mbox, link).


Reply sent to Arne Wichmann <aw@saar.de>:
You have taken responsibility. (Mon, 26 Apr 2021 12:48:01 GMT) (full text, mbox, link).


Notification sent to Arne Wichmann <aw@old-forest.org>:
bug acknowledged by developer. (Mon, 26 Apr 2021 12:48:08 GMT) (full text, mbox, link).


Message #22 received at 383-done@bugs.devuan.org (full text, mbox, reply):

From: Arne Wichmann <aw@saar.de>
To: 383-done@bugs.devuan.org
Subject: Fixed in 3.2.5-1 AFAICS
Date: Mon, 26 Apr 2021 14:29:05 +0200
[Message part 1 (text/plain, inline)]
As subject says - This bug has been gone for a while. I only affected ascii
anyway.

cu

AW
-- 
[...] If you don't want to be restricted, don't agree to it. If you are
coerced, comply as much as you must to protect yourself, just don't support
it. Noone can free you but yourself. (crag, on Debian Planet)
Arne Wichmann (aw@saar.de)
[signature.asc (application/pgp-signature, inline)]

Bug reopened Request was from Arne Wichmann <aw@saar.de> to control@bugs.devuan.org. (Mon, 26 Apr 2021 16:48:14 GMT) (full text, mbox, link).


Marked as found in versions 3.2.9-7. Request was from Arne Wichmann <aw@saar.de> to control@bugs.devuan.org. (Mon, 26 Apr 2021 16:48:14 GMT) (full text, mbox, link).


Merged 383 407 Request was from Arne Wichmann <aw@saar.de> to control@bugs.devuan.org. (Mon, 26 Apr 2021 16:48:14 GMT) (full text, mbox, link).


Added tag(s) patch. Request was from Arne Wichmann <aw@saar.de> to control@bugs.devuan.org. (Mon, 26 Apr 2021 16:48:14 GMT) (full text, mbox, link).


Merged 383 407 Request was from Arne Wichmann <aw@saar.de> to control@bugs.devuan.org. (Mon, 26 Apr 2021 16:48:16 GMT) (full text, mbox, link).


Message #33 received at 407-done@bugs.devuan.org (full text, mbox, reply):

From: dak@devuan.org
To: 407-done@bugs.devuan.org
Subject: #407: fixed in src:eudev version 3.2.9-10
Date: Sun, 05 Sep 2021 21:29:25 +0000
Version: 3.2.9-10

Source package eudev (3.2.9-10) added to Devuan suite unstable.

This closes bug report 407.

Thanks

DAK managing the Devuan archive

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 04 Sep 2021 13:05:24 +0200
Source: eudev
Architecture: source
Version: 3.2.9-10
Distribution: unstable
Urgency: high
Maintainer: Devuan Dev Team <devuan-dev@lists.dyne.org>
Changed-By: Svante Signell <svante.signell@gmail.com>
Closes: 407 598 600
Changes:
 eudev (3.2.9-10) unstable; urgency=high
 .
   * debian/eudev.maintscript: Remove. Fixes build with debhelper 13.5.
   * debian/changelog: Fix indentation and long lines.
   * debian/eudev.preinst: Fix detection of needed kernel features for
     recent kernels. (Closes: #407, #598)
   * debian/control: Remove dependency on debconf.
   * debian/eudev.postrm: Remove db_purge since we no longer use debconf.
     (Closes: #600)
Checksums-Sha1:
 5ce112896d9724eaa7b38fa98987e9c7a088b4c4 2349 eudev_3.2.9-10.dsc
 7828272d2f41b7934340975d0e1c4d788780060b 62388 eudev_3.2.9-10.debian.tar.xz
 33c9448e580a35ff8d503846fc70814b36194f98 5158 eudev_3.2.9-10_source.buildinfo
Checksums-Sha256:
 6edeac63382214a78eb0ee2267021ef32617155c20aea71cbdeff22e65e20e6d 2349 eudev_3.2.9-10.dsc
 3a9198b282ae092f28a4f0766c35d8369f5ac7a2e41b48842bd2cd5a655d8838 62388 eudev_3.2.9-10.debian.tar.xz
 0f218435c089746fa805aed6eda76705c944b2081e7e51a6d7e8bd35ae104e3b 5158 eudev_3.2.9-10_source.buildinfo
Files:
 3fd2203af8cb37e2d5a2f3deffbddace 2349 admin optional eudev_3.2.9-10.dsc
 1aebdadfe119630c4aa38925e6487428 62388 admin optional eudev_3.2.9-10.debian.tar.xz
 e2621664cfd62622da0206b953c1ac27 5158 admin optional eudev_3.2.9-10_source.buildinfo

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEcuPLdzMV36LkZHQ9lFMhJFQZIvsFAmE1NJsACgkQlFMhJFQZ
Ivs69Af/TUwf4pYpmE7aF1LYzrctBqPEXhCenKB7urP9SEGjK4cMnxg+bS6C0Zty
jDzuuPOhjEjqtbNw00j4xQ8nTeaME6kCctV8yonygjM/OuzqlrknZQNW5le6H36g
k9lhi78QSkp39BIQI+OUUwuQSMPbpMG82i0JIiSKCue2JaN0pXHZeiCAubQrx0TY
jIxHrqDZOqBXGJFJkF+/ch912ssaHQ/IsrUZ1q/WKeikO9/c+q4Qo9VK13TWGBEl
DG6t4RHv2bfaodWWr2dNPEOp7g74isXU7VWXcMkobvMAgnr4Da+/XRhwjHGfndZd
XtSz//BYKdpCJMSHGAXVgbm4dQRT7w==
=jlhk
-----END PGP SIGNATURE-----

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Sat Sep 18 13:15:46 2021;